import subprocess
from datetime import datetime

# 获取当前日期，并格式化为字符串
now = datetime.now()
date_str = now.strftime("%Y-%m-%d")

# 定义日志文件名
log_file = f"script_output_{date_str}.log"

n1 = 1
n2 = 5

# 定义Shell脚本的路径
script1_path = "./script1.sh"
script2_path = "./script2.sh"

with open(log_file, 'w') as f:
    # 调用script1.sh
    result = subprocess.run([script1_path, str(n1), str(n2)], shell=True, stdout=f, stderr=subprocess.STDOUT)

    # 检查返回码
    if result.returncode == 0:
        print("script1.sh 执行成功")
        # 调用script2.sh
        result2 = subprocess.run([script2_path], shell=True, stdout=f, stderr=subprocess.STDOUT)
        print("script2.sh 执行成功")
    else:
        print("script1.sh 执行失败")
        print(f"错误输出: {result.stderr}")
